Cloud
Облачный сервис для быстрого и эффективного анализа и визуализации данных для вашего бизнеса без необходимости создания своих приложений и программирования.
<script setup lang="ts">
import { Designer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/designer'
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");
var options = new Stimulsoft.Designer.StiDesignerOptions();
options.appearance.theme = Stimulsoft.Designer.StiDesignerTheme.Office2022LightGrayTeal;
options.appearance.fullScreenMode = true;
options.toolbar.showPreviewButton = false;
options.toolbar.showFileMenu = false;
options.components.showImage = false;
options.components.showShape = false;
options.components.showPanel = false;
</script>
<template>
<Designer :report="report" :options="options" />
</template>toolbar.showPreviewButton / toolbar.showFileMenu — hide toolbar and menu commands.components.showImage / showShape / showPanel … — remove items from the component palette.

The designer's toolbar, file menu and the component palette are all configured through the options object.

In Angular.
import { Component } from "@angular/core";
import { Designer, Stimulsoft } from "stimulsoft-dashboards-js-angular/designer";

@Component({
    imports: [Designer],
    template: `<sti-designer [(report)]="report" [options]="options"></sti-designer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    options: Stimulsoft.Designer.StiDesignerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Dashboard.mrt");

        this.options = new Stimulsoft.Designer.StiDesignerOptions();
        this.options.appearance.theme = Stimulsoft.Designer.StiDesignerTheme.Office2022LightGrayTeal;
        this.options.appearance.fullScreenMode = true;
        this.options.toolbar.showPreviewButton = false;
        this.options.toolbar.showFileMenu = false;
        this.options.components.showImage = false;
        this.options.components.showShape = false;
        this.options.components.showPanel = false;
    }
}

How it works. Each option toggles one part of the designer, so users see only the tools you allow.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.